/// <reference types="node" />
import { ParsedHost } from '@deepkit/core';
import { RpcKernel } from '@deepkit/rpc';
import { Server } from 'net';
/**
 * Uses the `turbo-net` module to create a server.
 */
export declare class TcpRpcServer {
    protected kernel: RpcKernel;
    protected turbo?: any;
    protected host: ParsedHost;
    bufferSize: number;
    constructor(kernel: RpcKernel, host: string);
    start(): void;
    close(): void;
}
/**
 * Uses the node `net` module to create a server. Supports unix sockets.
 */
export declare class NetTcpRpcServer {
    protected kernel: RpcKernel;
    protected server?: Server;
    protected host: ParsedHost;
    constructor(kernel: RpcKernel, host: string);
    start(): Promise<unknown>;
    close(): void;
}
